package org.rcisoft.business.evaluate.analysis.service;

import org.rcisoft.business.evaluate.analysis.entity.BusReport;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * Created by JiChao on 2018/5/3.
 */
public interface AnalysisService {

    /**
     * 上传文件，数据库新增数据，文件保存
     * 如果已经存在，删除之前的（删文件，删数据库记录）
     * @param proId
     * @param year
     * @param month
     * @param file
     * @return
     */
    Integer upload(String proId, Integer year, Integer month, MultipartFile file);

    /**
     * 查出地址，转换成流，发送到前台
     * @param response
     * @param id
     */
    void download(HttpServletResponse response, Integer id);

    /**
     * 查询列表
     * @param proId
     * @param year
     * @return
     */
    List<BusReport> analysisFile(String proId, Integer year);

    /**
     * 删除文件，删除数据库记录
     * @param id
     * @return
     */
    Integer delete(Integer id);

}
