package org.rcisoft.business.evaluate.project.dao;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
* Created with  on 2018-4-18 15:41:54.
*/
@Repository
public interface ProjectEvaluateRepository {

    /** 根据年份，分别查出每个项目的项目评估信息，需要开始条数页结束条数
     * @param year
     * @param start
     * @param end
     * @return
     */
     List<Map<String,Object>>listProjectInformationByYear(@Param("year")String year, @Param("start")Integer start, @Param("end")Integer end );

}

