package org.rcisoft.business.mainte.adaptive.dao;

import com.sun.xml.internal.rngom.parse.host.Base;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.business.mainte.adaptive.entity.BusParamRefer;
import org.rcisoft.business.mainte.adaptive.entity.TotalSensor;
import org.rcisoft.business.mainte.adaptive.vo.Params;
import org.rcisoft.core.base.BaseMapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * Created by JiChao on 2018/4/28.
 */
@Repository
public interface BusParamReferRepository extends BaseMapper<BusParamRefer>{

    /**
     * 查询网关参数
     * @param params proId：项目id
     * @return
     */
    @Select("<script>select r.OWN_PARAM,r.OTHER_PARAM from bus_param_refer r " +
            "where r.PRO_ID=#{proId}</script>")
    @ResultMap(value = "BusParamRefer")
    List<BusParamRefer> queryOtherParam(Params params);

    /**
     * 分页查询 busDeviceMeter
     *
     */
    @Select("<script>select * from bus_param_refer where 1=1 " +
            " and pro_id = #{proId} "
            + "</script>")
    List<Map<String,Object>> queryBusParamReferByPagination(@Param("proId") String proId);

}
