package org.rcisoft.business.mainte.adaptive.dao;

import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.business.mainte.adaptive.entity.TotalSensor;
import org.rcisoft.business.mainte.adaptive.vo.Params;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by JiChao on 2018/4/28.
 */
@Repository("TotalSensorRepository2")
public interface TotalSensorRepository {

    /**
     * 根据项目id、时间（年月日）查询
     * @param params
     * @return
     */
    @Select("<script>select t.TM,t.SENSOR_JSON from total_sensor t " +
            "where t.PRO_ID=#{proId} and date_format(t.TM, '%Y-%c-%e')=#{time}</script>")
    @ResultMap(value = "TotalSensor")
    List<TotalSensor> queryTotalSensorList(Params params);

}
