package org.rcisoft.business.mainte.adaptive.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * Created by JiChao on 2018/4/28.
 * 传感器表
 */
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "total_sensor")
public class TotalSensor implements Serializable {

    @Id
    private String id;

    private Date tm;

    private String sensorJson;

    private String proId;

}
