package org.rcisoft.business.mainte.adaptive.task;

import org.rcisoft.business.mainte.adaptive.service.AdaptiveService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * Created by JiChao on 2018/4/28.
 */
@Component
public class AdaptiveTask {

    @Autowired
    private AdaptiveService adaptiveServiceImpl;

    /**
     * 每天0点5分执行，查询所有项目中存在的城市，未来24小时的温度
     */
    @Scheduled(cron = "0 5 0 * * ?")
    public void temperature () {
        adaptiveServiceImpl.temperature();
    }

}
