package org.rcisoft.business.mainte.distributed.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * Created by JiChao on 2018/4/23.
 * 能耗分布
 */
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
public class EnergyDistributed implements Serializable {

    private String proNm;
    private String bldCoordinate;
    private BigDecimal bldArea;
    private BigDecimal waterMoney;
    private BigDecimal elecMoney;
    private BigDecimal gasMoney;

}
