package org.rcisoft.business.mainte.distributed.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * Created by JiChao on 2018/4/23.
 * 能耗对比 返回值
 */
@Data
@NoArgsConstructor
public class EnergyComparedVo {

    private List<Object> title;
    private List<EnergyCompareResult> result;

    public EnergyComparedVo(List<Object> title, List<EnergyCompareResult> result) {
        this.title = title;
        this.result = result;
    }

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class EnergyCompareResult {
        private String name;
        private List<Object> data;
    }

}
