package org.rcisoft.business.mainte.fault.service;

import org.rcisoft.business.mainte.fault.vo.BusDeviceFaultVo;

import java.util.List;

/**
 * Created by  on 2018-4-17 11:19:46.
 */
public interface BusDeviceFaultService {

    /**
     * 故障次数
     * @param proId
     * @param year
     * @param month
     * @return
     */
    List<Integer> statFault(String proId, String year, String month);

    /**
     * 故障统计列表
     * @param proId
     * @param year
     * @param month
     * @return
     */
    List<BusDeviceFaultVo> queryFaultList(String proId, String year, String month);


}
