package org.rcisoft.business.manage.dao;

import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.business.manage.entity.BusDeviceTp;
import org.rcisoft.core.base.BaseMapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
* Created with  on 2018-5-2 16:09:29.
*/
@Repository
public interface BusDeviceTpRepository extends BaseMapper<BusDeviceTp> {

    /**
    * 设备类型列表
    *
    */
    @Select("<script>select * from bus_device_tp where 1=1 "
            + "</script>")
    List<Map<String,Object>> queryBusDeviceTps();

    /**
     * 查看该设备类型是否配置模板
     * @return
     */
    @Select("<script>select * from bus_devicetp_param where DEV_TP_ID = #{dev_tp_id}"
            + "</script>")
    List<Map<String,Object>> queryBuildTpParam(Map<String,Object> map);
}

