package org.rcisoft.business.manage.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.business.manage.entity.SysUserProject;
import org.rcisoft.core.base.BaseMapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
* Created with  on 2018-5-10 13:29:46.
*/
@Repository
public interface SysUserProjectRepository extends BaseMapper<SysUserProject> {

    /**
     * 查询用户项目关联关系
     * @return
     */
    @Select("<script>select * from sys_user_project where user_id = #{userId}</script>")
    List<Map<String,Object>> querySysUserPro(@Param("userId") String userId);
}

