package org.rcisoft.business.manage.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;

/**
 * Created by JiChao on 2018/5/7.
 * 查找省份
 */
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "sys_province")
public class SysProvince {

    @Id
    private String id;
    private String name;

    @Transient
    private List<SysCity> city = new ArrayList<>();

}
