package org.rcisoft.business.manage.service;

import org.rcisoft.business.manage.entity.BusDeviceTp;
import org.rcisoft.core.model.PersistModel;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * Created by  on 2018-5-2 16:09:29.
 */
public interface BusDeviceTpService {

    /**
    * 保存 
    * @param busDeviceTp
    * @return
    */
    PersistModel save(BusDeviceTp busDeviceTp);

    /**
    * 删除
    * @param busDeviceTp
    * @return
    */
     PersistModel delete(BusDeviceTp busDeviceTp);

    /**
    * 修改 
    * @param busDeviceTp
    * @return
    */
    PersistModel merge(BusDeviceTp busDeviceTp);


    /**
    * 列表
    * @return
    */
    List<Map<String,Object>> queryBusDeviceTpList(String proId);


    PersistModel upload(MultipartFile file,String devTpId);

}
