package org.rcisoft.business.manage.service;

import org.rcisoft.business.manage.entity.BusFactory;
import org.rcisoft.core.model.PersistModel;

import java.util.List;
import java.util.Map;

/**
 * Created by  on 2018-5-16 14:34:55.
 */
public interface BusFactoryService {

    /**
    * 保存 
    * @param busFactory
    * @return
    */
    PersistModel save(BusFactory busFactory);

    /**
    * 修改 
    * @param busFactory
    * @return
    */
    PersistModel merge(BusFactory busFactory);

    /**
     * 删除
     * @return
     */
    PersistModel delete(String id);


    /**
    * 列表
    * @return
    */
    List<Map<String,Object>> queryBusFactoryList();




}
