package org.rcisoft.business.manage.service;

import org.rcisoft.business.manage.entity.BusProject;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.core.model.PersistModel;

import java.util.List;
import java.util.Map;

/**
 * Created by  on 2018-5-2 16:09:30.
 */
public interface BusProjectService {

    /**
    * 保存 
    * @param busProject
    * @return
    */
    PersistModel save(BusProject busProject);


    /**
    * 修改 
    * @param busProject
    * @return
    */
    PersistModel merge(BusProject busProject);

    /**
     * 删除
     * @param busProject
     * @return
     */
    PersistModel delete(BusProject busProject);

    /**
    * 根据条件查询
    * @return
    */
    List<Map<String,Object>> findByParam(BusProject bus);

    /**
    * 分页查询 
    * @param busProject
    * @return
    */
    List<Map<String,Object>> findAllByPagination(PageUtil<BusProject> paginationUtility,
                                         BusProject busProject);


    List<Map<String,Object>> queryBusProjectByUser(Map<String,Object> map);

}
