package org.rcisoft.business.manage.service;

import org.rcisoft.business.manage.entity.BusFactory;
import org.rcisoft.business.manage.entity.BusProjectZone;
import org.rcisoft.core.model.PersistModel;

import java.util.List;

/**
 * Created by JiChao on 2018/5/7.
 */
public interface BusProjectZoneService {

    /**
     * 保存
     * @return
     */
    PersistModel save(BusProjectZone busProjectZone);

    /**
     * 修改
     * @return
     */
    PersistModel merge(BusProjectZone busProjectZone);

    /**
     * 删除
     * @return
     */
    PersistModel delete(String id);
    /**
     * 查询建筑分区
     * @return
     */
    List<BusProjectZone> getZone();

}
