package org.rcisoft.business.manage.service;

import org.rcisoft.business.evaluate.team.entity.BusTeam;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.core.model.PersistModel;

import java.util.List;
import java.util.Map;

/**
 * Created by  on 2018-5-16 14:34:55.
 */
public interface BusTeamService {

    /**
    * 保存 
    * @param busTeam
    * @return
    */
    PersistModel save(BusTeam busTeam);


    /**
    * 修改 
    * @param busTeam
    * @return
    */
    PersistModel merge(BusTeam busTeam);

    /**
     * 删除
     * @return
     */
    PersistModel delete(String id);


    /**
    * 分页查询
    * @return
    */
    List<Map<String,Object>> findAllByPagination(PageUtil<BusTeam> paginationUtility,
                                                 String teamType);




}
