package org.rcisoft.business.overview.dao;

import org.rcisoft.business.overview.entity.EnergyEmissionTotal;
import org.rcisoft.core.base.BaseMapper;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with  on 2018-4-14 17:41:53.
*/
@Repository
public interface EnergyEmissionTotalRepository extends BaseMapper<EnergyEmissionTotal> {

    /**
     * 根据年份查询累计减排量
     * @param energyEmissionTotal
     * @return
     */
    @Select("<script>select * from energy_emission_total where PRO_ID=#{proId} and `YEAR`=#{year}</script>")
    @ResultMap(value = "BaseResultMap" )
    EnergyEmissionTotal queryEnergyEmissionTotals(EnergyEmissionTotal energyEmissionTotal);
}

