package org.rcisoft.business.system.service;

import org.rcisoft.business.system.vo.ClimateStatistics;

import java.util.List;

/**
 * Created by JiChao on 2018/5/2.
 */
public interface SystemService {

    /**
     * 气候自适应统计
     * @param proId
     * @return
     */
    ClimateStatistics statClimate(String proId);

    /**
     * 能源消耗
     * @param proId
     * @return
     */
    List<Object> energyConsume(String proId);

    /**
     * 逐时负荷
     * @param proId
     * @return
     */
    List<Object> burdenHour(String proId);

}
