package org.rcisoft.business.system.user.dao;

import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.system.user.entity.SysAdmins;
import org.rcisoft.core.base.BaseMapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @Author: GaoLiWei
 * @Date: Created in 10:422018/5/2
 */
@Repository
public interface AdminRepository    extends BaseMapper<SysAdmins>{

    /** 根据userId查询当前管理员信息
     * @param userId
     * @return
     */
    SysAdmins getSysAdminsByUserId(@Param("userId") String userId);

    /** 根据userId删除当前管理员信息
     * @param userId
     * @return
     */
    Integer deleteSysAdminByUserId(@Param("userId") String userId);



}
