package org.rcisoft.business.totaloriginal.service;

import org.rcisoft.business.totaloriginal.entity.TotalOriginal;
import org.rcisoft.business.totaloriginal.entity.TotalSensor;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.aop.PageUtil;

import java.util.List;
import java.util.Map;

/**
 * Created by  on 2018-4-12 15:48:19.
 */
public interface TotalOriginalService {

    /**
    * 保存 
    * @param totalOriginal
    * @return
    */
    PersistModel save(TotalOriginal totalOriginal);

    /**
    * 逻辑删除 
    * @param totalOriginal
    * @return
    */
     PersistModel remove(TotalOriginal totalOriginal);

    /**
    * 修改 
    * @param totalOriginal
    * @return
    */
    PersistModel merge(TotalOriginal totalOriginal);

    /**
    * 根据id查询 
    * @param id
    * @return
    */
    TotalOriginal findById(int id);

    /**
    * 分页查询 
    * @param totalOriginal
    * @return
    */
    List<TotalOriginal> findAllByPagination(PageUtil<TotalOriginal> paginationUtility,
                                            TotalOriginal totalOriginal);


    PersistModel saveSensor(TotalSensor totalsensor);

    Map<String,Object> queryBusParamRefer(Map<String,Object> map);

    String queryDevByPro(String jwnum);

}
