package org.rcisoft.mqttclient;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import org.rcisoft.business.totaloriginal.entity.TotalOriginal;
import org.rcisoft.business.totaloriginal.entity.TotalSensor;
import org.rcisoft.business.totaloriginal.service.TotalOriginalService;
import org.rcisoft.core.service.RcRedisService;
import org.rcisoft.core.util.DateUtil;
import org.rcisoft.core.util.ZhnyUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.*;

@Component
public class ReceiveDataHandle {
    @Autowired
    private RcRedisService rcRedisService;
    @Autowired
    private TotalOriginalService totalOriginalServiceImpl;

    /*public void HandleReceive(String content){

        Map<String,Object> referMap = totalOriginalServiceImpl.queryBusParamRefer(null);
        String devStr = "";
        try {
            JSONObject jb = JSONArray.parseObject(content.substring(1,content.length()-1));
            String jwnum = jb.getString("PHONE");//网关编号
            devStr = totalOriginalServiceImpl.queryDevByPro(jwnum);
            //String time = jb.getString("TIME");//时间
            String time = DateUtil.getSimepleDate("yyyyMMddHHmmss",new Date());
            if(DateUtil.getParseDate("yyyyMMddhhmmss",time)!=null){//时间格式正常
                String minute = time.substring(10,12);
                String sec = time.substring(12,14);
                *//* 10秒级的数据，存储缓存
                 * 缓存中始终保持最新两条网关数据
                 * 用作拓扑图点击设备查看实时参数及10秒级的能耗
                 *//*
                if(Integer.parseInt(sec)%10==0){
                    //rcRedisService.set("old","old"+new Date() + rcRedisService.get("new"));
                    //rcRedisService.set("new","new"+new Date() + content);
                }
                System.out.println("++++++++++++++++++++++++++++++++++"+minute+"-----"+sec);
                if(Integer.parseInt(minute)%2==0 && sec.equalsIgnoreCase("00")){//10分钟级的数据，进行存储
                    List<String> list = new ArrayList<String>();
                    JSONObject jbody = jb.getJSONObject("body");//数据体
                    List<TotalOriginal> originalList = new ArrayList<>();
                    List<TotalSensor> sensorList = new ArrayList<>();
                    //遍历数据体内对象
                    for (Map.Entry<String, Object> entry : jbody.entrySet()) {
                        String key = entry.getKey();
                        JSONObject body = (JSONObject)entry.getValue();
                        String dev_num = jwnum+"_"+key;
                        //(【已配置的表具】/【设备】)
                        if(referMap.get(dev_num)!=null || devStr.contains(dev_num)){
                            TotalOriginal original = new TotalOriginal();
                            original.setProId(jwnum);
                            original.setTm(DateUtil.getParseDate("yyyy-MM-dd HH:mm:ss",time));
                            original.setDevNum(dev_num);
                            *//**
                             * 摘选水电气能耗，对于设备来说，都为null
                             *//*
                            if(devStr.contains(dev_num)){//设备
                                original.setElecV(null);
                                original.setWaterV(null);
                                original.setGasV(null);
                            }else{//表具
                                String own_param = referMap.get(dev_num).toString().split(",")[0];
                                String other_param = referMap.get(dev_num).toString().split(",")[1];
                                if(own_param.equalsIgnoreCase("power")){
                                    original.setElecV(ZhnyUtil.parseFloat(body.get(other_param)));
                                    original.setWaterV(0f);
                                    original.setGasV(0f);
                                }else if(own_param.equalsIgnoreCase("water")){
                                    original.setElecV(0f);
                                    original.setWaterV(ZhnyUtil.parseFloat(body.get(other_param)));
                                    original.setGasV(0f);
                                }else if(own_param.equalsIgnoreCase("gas")){
                                    original.setElecV(0f);
                                    original.setWaterV(0f);
                                    original.setGasV(ZhnyUtil.parseFloat(body.get(other_param)));
                                }
                            }
                            int i=4;
                            for (Map.Entry<String, Object> bt : body.entrySet()) {
                                if(i==4){ original.setP4(bt.getKey());original.setP4V(ZhnyUtil.parseFloat(bt.getValue())); }
                                if(i==5){ original.setP5(bt.getKey());original.setP5V(ZhnyUtil.parseFloat(bt.getValue())); }
                                if(i==6){ original.setP6(bt.getKey());original.setP6V(ZhnyUtil.parseFloat(bt.getValue())); }
                                if(i==7){ original.setP7(bt.getKey());original.setP7V(ZhnyUtil.parseFloat(bt.getValue())); }
                                if(i==8){ original.setP8(bt.getKey());original.setP8V(ZhnyUtil.parseFloat(bt.getValue())); }
                                if(i==9){ original.setP9(bt.getKey());original.setP9V(ZhnyUtil.parseFloat(bt.getValue())); }
                                if(i==10){ original.setP10(bt.getKey());original.setP10V(ZhnyUtil.parseFloat(bt.getValue())); }
                                if(i==11){ original.setP11(bt.getKey());original.setP11V(ZhnyUtil.parseFloat(bt.getValue())); }
                                if(i==12){ original.setP12(bt.getKey());original.setP12V(ZhnyUtil.parseFloat(bt.getValue())); }
                                if(i==13){ original.setP13(bt.getKey());original.setP13V(ZhnyUtil.parseFloat(bt.getValue())); }
                                if(i==14){ original.setP14(bt.getKey());original.setP14V(ZhnyUtil.parseFloat(bt.getValue())); }
                                if(i==15){ original.setP15(bt.getKey());original.setP15V(ZhnyUtil.parseFloat(bt.getValue())); }
                                if(i==16){ original.setP16(bt.getKey());original.setP16V(ZhnyUtil.parseFloat(bt.getValue())); }
                                if(i==17){ original.setP17(bt.getKey());original.setP17V(ZhnyUtil.parseFloat(bt.getValue())); }
                                if(i==18){ original.setP18(bt.getKey());original.setP18V(ZhnyUtil.parseFloat(bt.getValue())); }
                                if(i==19){ original.setP19(bt.getKey());original.setP19V(ZhnyUtil.parseFloat(bt.getValue())); }
                                if(i==20){ original.setP20(bt.getKey());original.setP20V(ZhnyUtil.parseFloat(bt.getValue())); }
                                i++;
                            }
                            originalList.add(original);
                        }else{//【传感器】
                            TotalSensor sensor = new TotalSensor();
                            sensor.setTm(DateUtil.getParseDate("yyyy-MM-dd HH:mm:ss",time));
                            sensor.setSensorJson(body.toJSONString());
                            sensorList.add(sensor);
                        }
                        for(TotalOriginal t : originalList){
                            totalOriginalServiceImpl.save(t);
                        }
                        for(TotalSensor s : sensorList){
                            totalOriginalServiceImpl.saveSensor(s);
                        }
                    }

                }
            }


            //System.out.println(jb);
        }catch(Exception e){
            e.printStackTrace();
        }
    }*/
}
