package org.rcisoft.business.evaluate.project.entity;

import lombok.*;

import org.rcisoft.core.entity.IdNotDataEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with  on 2018-4-18 15:23:12.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "energy_count_m")
public class EnergyCountM  extends IdNotDataEntity<EnergyCountM> {



     private Integer id;

     private String devNum;

     private String proId;

     private Float water;

     private Float elec;

     private Float gas;

     private String hour;

     private String day;

     private String mon;

     private String year;

     private Date createTime;

     private BigDecimal waterMoney;

     private BigDecimal elecMoney;

     private BigDecimal gasMoney;


}

