package org.rcisoft.business.evaluate.team.dao;

import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.business.evaluate.team.entity.SysPrincipal;
import org.rcisoft.core.base.BaseMapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
* Created with liuzhichao on 2018-4-18 17:25:08.
*/
@Repository
public interface SysPrincipalRepository extends BaseMapper<SysPrincipal> {

    @Select("select * from sys_principal where `PRI_ID` = #{priId} ")
    @ResultMap(value = "BaseResultMap" )
    SysPrincipal selectByPriId(String priId);
}

