package org.rcisoft.business.evaluate.team.service.impl;

import lombok.extern.slf4j.Slf4j;
import org.rcisoft.business.evaluate.team.dao.BusTeamRepository;
import org.rcisoft.business.evaluate.team.dao.SysPrincipalRepository;
import org.rcisoft.business.evaluate.team.entity.BusTeam;
import org.rcisoft.business.evaluate.team.entity.SysPrincipal;
import org.rcisoft.business.evaluate.team.service.TeamAssessmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Created by liuzhichao on 2018/4/19.
 */
@Service
@Slf4j
public class TeamAssessmentImpl implements TeamAssessmentService {

    @Autowired
    BusTeamRepository busTeamRepository;

    @Autowired
    SysPrincipalRepository sysPrincipalRepository;

    @Override
    public List<BusTeam> getTeamAssessmentInfo(String type) {

        return busTeamRepository.selectByTeamId(type);
    }



    @Override
    public SysPrincipal getTeamAssessmentRightInfo(String priId) {
        return sysPrincipalRepository.selectByPriId(priId);
    }
}
