package org.rcisoft.business.mainte.distributed.service;

import org.rcisoft.business.mainte.distributed.vo.BuildingAgeVo;
import org.rcisoft.business.mainte.distributed.vo.DeviceAgeVo;
import org.rcisoft.business.mainte.distributed.vo.EnergyComparedVo;
import org.rcisoft.business.mainte.distributed.vo.EnergyDistributedVo;

import java.util.List;

/**
 * Created by JiChao on 2018/4/23.
 */
public interface MainteDistributedService {

    List<EnergyDistributedVo> queryEnergyDistributed(String year, String month);

    EnergyComparedVo queryEnergyCompared(String year, String bldZoneId);

    BuildingAgeVo queryBuildingAge();

    DeviceAgeVo queryDeviceAge();

}
