package org.rcisoft.business.mainte.distributed.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * Created by JiChao on 2018/4/23.
 * 能耗对比 返回值
 */
@Data
@NoArgsConstructor
public class DeviceAgeVo {

    private List<Object> title;
    private List<DeviceAgeResult> result;

    public DeviceAgeVo(List<Object> title, List<DeviceAgeResult> result){
        this.title = title;
        this.result = result;
    }

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class DeviceAgeResult{
        private String name;
        private List<Object> data;
    }

}
