package org.rcisoft.business.mainte.fault.service.impl;

import org.rcisoft.business.mainte.fault.dao.BusDeviceFaultRepository;
import org.rcisoft.business.mainte.fault.service.BusDeviceFaultService;

import org.rcisoft.business.mainte.fault.vo.BusDeviceFaultVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by  on 2018-4-17 11:19:46.
 */
@Service
public class BusDeviceFaultServiceImpl implements BusDeviceFaultService {

    @Autowired
    private BusDeviceFaultRepository busDeviceFaultRepository;

    @Override
    public List<Integer> statFault(String proId, String year, String month) {
        List<Integer> resultList = new ArrayList<Integer>();
        BusDeviceFaultVo b = new BusDeviceFaultVo();
        b.setProId(proId);
        b.setDate(year + "-" + month);
        List<BusDeviceFaultVo> list = busDeviceFaultRepository.statFault(b);
        if (list != null && list.size() > 0) {
            int size = list.size();
            int j = 1;
            for (int i = 0; i < size; i++) {
                BusDeviceFaultVo bb = list.get(i);
                int day = bb.getDay();
                while (day > j++){
                    resultList.add(0);
                }
                resultList.add(bb.getNum());
                if(i == size - 1){
                    while (day++ < 31){
                        resultList.add(0);
                    }
                }
            }
        } else {
            for (int i = 0; i < 31; i++) {
                resultList.add(0);
            }
        }
        return resultList;
    }

    @Override
    public List<BusDeviceFaultVo> queryFaultList(String proId, String year, String month) {
        BusDeviceFaultVo busDeviceFaultVo = new BusDeviceFaultVo();
        busDeviceFaultVo.setProId(proId);
        busDeviceFaultVo.setDate(year + "-" + month);
        return busDeviceFaultRepository.queryFaultList(busDeviceFaultVo);
    }
}
