package org.rcisoft.business.mainte.paramlibrary.service;

import org.rcisoft.business.mainte.paramlibrary.entity.BusParamLibrary;
import org.rcisoft.business.mainte.paramlibrary.vo.BusParamLibraryList;
import org.rcisoft.core.model.PersistModel;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

public interface ParamLibraryService {
    List<Map<String,Object>> queryLibraryParamByDev(Map<String,Object> map);

    List<Map<String,Object>> queryPlanParamVal_1(Map<String,Object> map);

    List<Map<String,Object>> queryPlanParamVal_2(Map<String,Object> map);

    List<Map<String,Object>> queryPlanParamVal_3(Map<String,Object> map);

    List<Map<String,Object>> queryParamLibrary(Map<String,Object> map);

    PersistModel save(BusParamLibraryList busPramLibraryList);

    PersistModel delete(String devNum);

    /**
     * 下载参数库模板
     * @param response
     * @param devNum
     */
    void downloadExcel(HttpServletResponse response, String devNum);

    /**
     * 上传参数库模板
     * @param file
     * @param devNum
     * @return
     */
    Integer uploadExcel(MultipartFile file, String devNum);
}
