package org.rcisoft.business.manage.controller;


/*固定导入*/
import io.swagger.annotations.ApiOperation;
import org.rcisoft.business.manage.service.BusProjectAreaService;
import org.rcisoft.business.manage.vo.BusProjectAreaList;
import org.rcisoft.business.overview.entity.BusProjectArea;
import org.rcisoft.core.controller.PaginationController;
import org.rcisoft.core.model.GridModel;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
* Created by  on 2018-5-16 14:34:55.
*/
@RestController
@RequestMapping("busprojectarea")
public class BusProjectAreaController extends PaginationController<BusProjectArea> {

    @Autowired
    private BusProjectAreaService busProjectAreaServiceImpl;


    @ApiOperation(value="修改", notes="修改")
    @PutMapping("/update")
    public Result update(@RequestBody BusProjectAreaList busProjectAreaList) {
        PersistModel data = busProjectAreaServiceImpl.merge(busProjectAreaList);
        return Result.builder(data);
    }

    @ApiOperation(value="查看  集合", notes="查看  集合")
    @GetMapping(value = "/queryBusProjectArea")
    public List<Map<String, Object>> queryBusProjectArea(@RequestParam String proId) {
        return busProjectAreaServiceImpl.queryBusProjectArea(proId);
    }
}
