package org.rcisoft.business.manage.service;

import org.rcisoft.business.manage.entity.BusDeviceMeter;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.core.model.PersistModel;

import java.util.List;
import java.util.Map;

/**
 * Created by  on 2018-5-2 16:09:29.
 */
public interface BusDeviceMeterService {

    /**
    * 保存 
    * @param busDeviceMeter
    * @return
    */
    PersistModel save(BusDeviceMeter busDeviceMeter);

    /**
    * 删除
    * @return
    */
     PersistModel delete(String metNum);

    /**
    * 修改 
    * @param busDeviceMeter
    * @return
    */
    PersistModel merge(BusDeviceMeter busDeviceMeter);


    /**
    * 分页查询 
    * @param busDeviceMeter
    * @return
    */
    List<Map<String,Object>> findAllByPagination(PageUtil<BusDeviceMeter> paginationUtility,
                                                 BusDeviceMeter busDeviceMeter);




}
