package org.rcisoft.business.manage.service;

import org.rcisoft.business.manage.entity.BusDeviceParam;
import org.rcisoft.business.manage.vo.BusDeviceParamList;
import org.rcisoft.core.model.PersistModel;

import java.util.List;
import java.util.Map;

/**
 * Created by  on 2018-5-2 16:09:29.
 */
public interface BusDeviceParamService {

    /**
    * 保存
    * @return
    */
    PersistModel save(BusDeviceParamList busDeviceParamList);

    /**
    * 删除
    * @return
    */
     PersistModel delete(String devNum);

    /**
    * 修改
    * @return
    */
    PersistModel merge(BusDeviceParamList busDeviceParamList);

    /**
    * 根据设备编号查询设备参数模板
    * @return
    */
    List<Map<String,Object>> findByDev(String devNum,String proid);





}
