package org.rcisoft.business.manage.service;

import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.manage.vo.BusLibraryParamList;
import org.rcisoft.core.model.PersistModel;

import java.util.List;
import java.util.Map;

/**
 * Created by  on 2018-5-2 16:09:30.
 */
public interface BusLibraryParamService {

    /**
    * 保存
    * @return
    */
    PersistModel save(BusLibraryParamList busLibraryParamList);

    /**
    * 删除
    * @return
    */
     PersistModel delete(String devNum);

    /**
    * 修改
    * @return
    */
    PersistModel merge(BusLibraryParamList busLibraryParamList);

    List<Map<String,Object>> queryLibraryParamByDev(String devNum);



}
