package org.rcisoft.business.manage.service;

import org.rcisoft.business.mainte.adaptive.entity.BusParamRefer;
import org.rcisoft.business.manage.entity.BusDeviceMeter;
import org.rcisoft.business.manage.vo.BusParamReferVo;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.core.model.PersistModel;

import java.util.List;
import java.util.Map;

/**
 * Created by  on 2018-5-2 16:09:30.
 */
public interface BusParamReferService {
    /**
    * 更新
    * @param busParamRefer
    * @return
    */
    PersistModel merge(BusParamRefer busParamRefer);

    /**
     * 删除
     * @return
     */
    PersistModel delete(String id);

    /**
     * 新增
     * @param busParamRefer
     * @return
     */
    PersistModel add(BusParamReferVo busParamRefer);

    List<Map<String,Object>> queryBusParamReferByPagination(PageUtil paginationUtility, String proId);

}
