package org.rcisoft.business.manage.service;

import org.rcisoft.business.manage.entity.BusSaving;
import org.rcisoft.core.model.PersistModel;

import java.util.List;

/**
 * Created by JiChao on 2018/5/17.
 */
public interface BusSavingService {

    /**
     * 保存
     * @return
     */
    PersistModel save(List<BusSaving> busSavingList);

    /**
     * 修改
     * @return
     */
    PersistModel update(List<BusSaving> busSavingList);

    /**
     * 删除
     * @return
     */
    PersistModel delete(String proId);


    /**
     * 根据proId查询
     * @return
     */
    List<BusSaving> queryBusSaving(String proId);
}
