package org.rcisoft.business.manage.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "energy_price")
public class EnergyPriceVo {
    @Id
    private String id;
    @Column(name = "pro_id")
    private String proId;
    @Column(name = "p_hour")
    private String priceHour;
    @Column(name = "p_price")
    private BigDecimal pricePrice;
    @Column(name = "p_tp")
    private String priceTp;

}
