package org.rcisoft.business.overview.dao;

import org.rcisoft.business.overview.entity.BusProjectAreaStat;
import org.rcisoft.core.base.BaseMapper;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

/**
* Created with  on 2018-4-13 15:33:14.
*/
@Repository
public interface BusProjectAreaStatRepository extends BaseMapper<BusProjectAreaStat> {

    /**
     *
     * @param busProjectAreaStat
     * @return
     */
    @Select("<script>select * from bus_project_area_stat where PRO_ID=#{proId}" +
            "<if test=\"year != null\"> and `YEAR`=#{year}</if></script>")
    @ResultMap(value = "BaseResultMap")
    BusProjectAreaStat queryBusProjectAreaStats(BusProjectAreaStat busProjectAreaStat);
}

