package org.rcisoft.business.overview.entity;

import lombok.*;

import org.rcisoft.core.entity.IdNotDataEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with  on 2018-4-14 17:41:53.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "energy_emission_real")
public class EnergyEmissionReal implements Serializable {

     public EnergyEmissionReal(String proId, Integer year) {
          this.proId = proId;
          this.year = year;
     }

     public EnergyEmissionReal(String proId, Integer year, Integer mon) {
          this.proId = proId;
          this.year = year;
          this.mon = mon;
     }

     public EnergyEmissionReal(String proId, Integer year, Integer mon, Integer day) {
          this.proId = proId;
          this.year = year;
          this.mon = mon;
          this.day = day;
     }

     @Id
     private Integer id;

     private String proId;

     private Integer year;

     private Integer mon;

     private Integer day;

     private BigDecimal emission;


}

