package org.rcisoft.business.totaloriginal.dao;

import org.rcisoft.core.base.BaseMapper;
import org.rcisoft.business.totaloriginal.entity.TotalOriginal;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

/**
* Created with  on 2018-4-12 15:48:19.
*/
@Repository
public interface TotalOriginalRepository extends BaseMapper<TotalOriginal> {

    /**
    * 分页查询 totalOriginal
    *
    */
    @Select("<script>select * from total_original where 1=1 "
            + "<if test=\"delFlag !=null and delFlag != '' \">and del_flag = #{delFlag} </if> "
            + "<if test=\"flag !=null and flag != '' \">and flag = #{flag} </if> "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<TotalOriginal> queryTotalOriginals(TotalOriginal totalOriginal);


    @Select("<script> select * from bus_param_refer where DEV_TYPE = '2' and pro_id = #{pro_id} " +
            "</script>")
    List<Map<String,Object>> queryBusParamRefer(Map<String,Object> map);

    @Select("<script> select * from bus_device a,bus_project b where a.pro_id = b.pro_id and" +
            " b.jwnum =  #{jwnum}" +
            "</script>")
    List<Map<String,Object>> queryDevByPro(Map<String,Object> map);
}

