package org.rcisoft.core.util;

import org.rcisoft.business.system.user.entity.SysUser;
import org.rcisoft.core.model.JwtUser;


/**
 * Created by lcy on 17/11/21.
 */
public final class JwtUserFactory {
    private JwtUserFactory() {
    }

    /**
     * 创建JwtUser工厂
     */
    public static JwtUser create(SysUser user){
        return new JwtUser(
                user.getUserId(),
                user.getUserNm(),
                user.getUserPwd(),
                user.getSimpleAuthorities()
        );
    }

}
