package org.rcisoft.core.util;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class ZhnyUtil {
    public static Float parseFloat(Object obj){
        if(obj==null){
            return 0f;
        }
        if(isNumeric(obj.toString())){
            return Float.valueOf(obj.toString());
        }
        return 0f;
    }

    /**
     * 判断字符串是否为整数或者浮点数
     * @param str
     * @return
     */
    public static boolean isNumeric(String str){
        Pattern pattern = Pattern.compile("-?[0-9]+.?[0-9]+");
        Matcher isNum = pattern.matcher(str);
        if (!isNum.matches()) {
            return false;
        }
        return true;
    }
}
